/*  I valori delle label nelle variabili categoriche sono commentati a causa della presenza di codici non esclusivamente numerici. Comunque sono completamente documentati.  */
clear all
infile  using  PGM_2005_IT_DELIMITED.dct, clear
/*
label define  a1_cl2 01   "ESTRAZIONE DI MINERALI ENERGETICI; Subsection ESTRAZIONE DI MINERALI NON ENERGETICI" 02   "INDUSTRIE ALIMENTARI, DELLE BEVANDE E DEL TABACCO" 03   "INDUSTRIE TESSILI E DELLABBIGLIAMENTO; INDUSTRIE CONCIARIE, FABBRICAZIONE DI PRODOTTI IN CUOIO, PELLE E SIMILARI" 04   "FABBRICAZIONE DELLA PASTA-CARTA, DELLA CARTA E DEL CARTONE, DEI PRODOTTI DI CARTA; STAMPA ED EDITORIA" 05   "FABBRICAZIONE DI COKE, RAFFINERIE DI PETROLIO, TRATTAMENTO DEI COMBUSTIBILI NUCLEARI; FABBRICAZIONE DI PRODOTTI CHIMICI E DI FIBRE SINTETICHE E ARTIFICIALI ; FABBRICAZIONE DI ARTICOLI IN GOMMA E MATER" 06   "METALLURGIA, FABBRICAZIONE DI PRODOTTI IN METALLO" 07   "FABBRICAZIONE DI MACCHINE ED APPARECCHI MECCANICI; FABBRICAZIONE DI MACCHINE ELETTRICHE E DI APPARECCHIATURE ELETTRICHE, ELETTRONICHE ED OTTICHE" 08   "FABBRICAZIONE DI MEZZI DI TRASPORTO" 09   "INDUSTRIA DEL LEGNO E DEI PRODOTTI IN LEGNO; ALTRE INDUSTRIE MANIFATTURIERE" 10   "PRODUZIONE E DISTRIBUZIONE DI ENERGIA ELETTRICA, GAS E ACQUA" 11   "COSTRUZIONI" 12   "COMMERCIO, MANUTENZIONE E RIPARAZIONE DI AUTOVEICOLI E MOTOCICLI; VENDITA AL DETTAGLIO DI CARBURANTI PER AUTOTRAZIONE" 13   "COMMERCIO ALLINGROSSO E INTERMEDIARI DEL COMMERCIO, AUTOVEICOLI E MOTOCICLI ESCLUSI" 14   "COMMERCIO AL DETTAGLIO (ESCLUSO QUELLO DI AUTOVEICOLI E DI MOTOCICLI); RIPARAZIONE DI BENI PERSONALI E PER LA CASA" 15   "ALBERGHI E RISTORANTI" 16   "TRASPORTI TERRESTRI; TRASPORTI MEDIANTE CONDOTTE; TRASPORTI MARITTIMI E PER VIE D'ACQUA; TRASPORTI AEREI; ATTIVIT DI SUPPORTO ED AUSILIARIE DEI TRASPORTI; ATTIVIT DELLE AGENZIE DI VIAGGIO" 17   "POSTE E TELECOMUNICAZIONI" 18   "INTERMEDIAZIONE MONETARIA E FINANZIARIA (ESCLUSE LE ASSICURAZIONI E I FONDI PENSIONE); ASSICURAZIONI E FONDI PENSIONE, ESCLUSE LE ASSICURAZIONI SOCIALI OBBLIGATORIE" 19   "ATTIVIT AUSILIARIE DELL'INTERMEDIAZIONE FINANZIARIA E DELLE ASSICURAZIONI" 20   "ATTIVIT IMMOBILIARI; NOLEGGIO DI MACCHINARI E ATTREZZATURE SENZA OPERATORE E DI BENI PER USO PERSONALE E DOMESTICO; INFORMATICA E ATTIVIT CONNESSE; RICERCA E SVILUPPO; ATTIVIT DI SERVIZI ALLE IMPRE"  
label define  a6_cl14 0   "no" 1   "si"  
label define  b1a_cl15  
label define  b1b_cl16  
label define  b2aflag_cl17  
label define  b2bflag_cl19  
label define  b2cflag_cl21  
label define  b2dflag_cl23  
label define  b2eflag_cl25  
label define  b3a_cl27  
label define  b3b_cl28  
label define  b4a_cl29  
label define  b4b_cl30  
label define  c7aflag_cl58 0   "no" 1   "si" 8   "non applicabile"  
label define  c7bflag_cl60  
label define  c7cflag_cl62  
label define  c7dflag_cl64  
label define  c8aflag_cl68 0   "mancanza di contributi" 1   "presenza di contributi"  
label define  c8bflag_cl70 0   "mancanza di finanziamenti" 1   "presenza di finanziamenti" 8   "non applicabile"  
label define  c9a1_cl73  
label define  c9a2_cl74  
label define  c9b1_cl75  
label define  c9b2_cl76  
label define  c9c1_cl77  
label define  c9c2_cl78  
label define  c9d1_cl79  
label define  c9d2_cl80  
label define  c10a1_cl81  
label define  c10a2_cl82  
label define  c10b1_cl83  
label define  c10b2_cl84  
label define  d1_cl85 0   "nessuna struttura" 1   "struttura di propriet" 2   "struttura condivisa" 3   "entrambe" 8   "non applicabile"  
label define  d2_cl86  
label define  d3_cl87 0   "mai" 1   "occasionalmente" 2   "quasi sempre" 3   "sempre" 8   "non applicabile"  
label define  d4_cl88  
label define  d5_cl89  
label define  d6_cl90  
label define  d7_cl91  
label define  d8_cl92  
label define  d9_cl93  
label define  d10_cl94  
label define  d11_cl95  
label define  d12_cl96  
label define  d13_cl97  
label define  d13a_cl98  
label define  d13b_cl99  
label define  d13c_cl100  
label define  d13d_cl101  
label define  d13e_cl102  
label define  d13f_cl103  
label define  d14a_cl104  
label define  d14b_cl105  
label define  d14c_cl106 7   "quesito italiano mancante" 8   "non applicabile"  
label define  d14d_cl107  
label define  d14e_cl108  
label define  d15a_cl109  
label define  d15b_cl110  
label define  d15c_cl111  
label define  d15d_cl112  
label define  d15e_cl113  
label define  d15f_cl114  
label define  d15g_cl115  
label define  d15h_cl116  
label define  e1a_cl117  
label define  e1b_cl118  
label define  e1c_cl119  
label define  e1d_cl120  
label define  e1e_cl121  
label define  e1f_cl122  
label define  e1g_cl123  
label define  e1h_cl124  
label define  e1i_cl125  
label define  f2aflag_cl129  
label define  f2bflag_cl131  
label define  f2cflag_cl133 .   "missing" 0   "no" 1   "si" 8   "non applicabile"  
label define  f3aflag_cl134 0   "no" 8   "non applicabile"  
label define  f3bflag_cl136  
label values  a1 a1_cl2
label values  a6 a6_cl14
label values  b1a b1a_cl15
label values  b1b b1b_cl16
label values  b2aflag b2aflag_cl17
label values  b2bflag b2bflag_cl19
label values  b2cflag b2cflag_cl21
label values  b2dflag b2dflag_cl23
label values  b2eflag b2eflag_cl25
label values  b3a b3a_cl27
label values  b3b b3b_cl28
label values  b4a b4a_cl29
label values  b4b b4b_cl30
label values  c7aflag c7aflag_cl58
label values  c7bflag c7bflag_cl60
label values  c7cflag c7cflag_cl62
label values  c7dflag c7dflag_cl64
label values  c8aflag c8aflag_cl68
label values  c8bflag c8bflag_cl70
label values  c9a1 c9a1_cl73
label values  c9a2 c9a2_cl74
label values  c9b1 c9b1_cl75
label values  c9b2 c9b2_cl76
label values  c9c1 c9c1_cl77
label values  c9c2 c9c2_cl78
label values  c9d1 c9d1_cl79
label values  c9d2 c9d2_cl80
label values  c10a1 c10a1_cl81
label values  c10a2 c10a2_cl82
label values  c10b1 c10b1_cl83
label values  c10b2 c10b2_cl84
label values  d1 d1_cl85
label values  d2 d2_cl86
label values  d3 d3_cl87
label values  d4 d4_cl88
label values  d5 d5_cl89
label values  d6 d6_cl90
label values  d7 d7_cl91
label values  d8 d8_cl92
label values  d9 d9_cl93
label values  d10 d10_cl94
label values  d11 d11_cl95
label values  d12 d12_cl96
label values  d13 d13_cl97
label values  d13a d13a_cl98
label values  d13b d13b_cl99
label values  d13c d13c_cl100
label values  d13d d13d_cl101
label values  d13e d13e_cl102
label values  d13f d13f_cl103
label values  d14a d14a_cl104
label values  d14b d14b_cl105
label values  d14c d14c_cl106
label values  d14d d14d_cl107
label values  d14e d14e_cl108
label values  d15a d15a_cl109
label values  d15b d15b_cl110
label values  d15c d15c_cl111
label values  d15d d15d_cl112
label values  d15e d15e_cl113
label values  d15f d15f_cl114
label values  d15g d15g_cl115
label values  d15h d15h_cl116
label values  e1a e1a_cl117
label values  e1b e1b_cl118
label values  e1c e1c_cl119
label values  e1d e1d_cl120
label values  e1e e1e_cl121
label values  e1f e1f_cl122
label values  e1g e1g_cl123
label values  e1h e1h_cl124
label values  e1i e1i_cl125
label values  f2aflag f2aflag_cl129
label values  f2bflag f2bflag_cl131
label values  f2cflag f2cflag_cl133
label values  f3aflag f3aflag_cl134
label values  f3bflag f3bflag_cl136
*/
save  ISTAT_MFR_CVTS_Microdati_2005_ESEMPIO_STRUTTURA_FILE.dta, replace
