#LIMITAZIONE DELLA RESPONSABILITA'. 
#Il software  fornito "cos com'", senza garanzie di ogni sorta.
setwd(choose.dir(default = "", caption = "WHERE ARE MICRODATA?"))
direttorio = getwd()
fileInput = paste (direttorio, "/ISTAT_MFR_CVTS_Microdati_2005_ESEMPIO_STRUTTURA_FILE.txt", sep="")
Ril_CVTS_2005<- read.delim2 (fileInput,  header=T, sep="^",  quote="",  na.strings = ".")
attr(Ril_CVTS_2005, "label") <- c(
"codice paese",
"coefficiente di ponderazione",
"codice nace - vedi Annex",
"n persone occupate al 31.12.2004",
"n persone occupate al 31.12.2005",
"n uomini occupati  al 31.12.2005",
"n donne occupate al 31.12.2005",
"persone occupate  meno di 25 anni",
"persone occupate  da 25 a 54 anni",
"persone occupate  55 anni e pi",
"n totale di ore lavorate durante il 2005 dalle persone occupate",
"n totale di ore lavorate durante il 2005 dai maschi",
"n totale di ore lavorate durante il 2005 dalle femmine",
"costo totale del lavoro (diretto + indiretto) delle persone occupate durante il 2005",
"prodotti, servizi o metodi di produzione nuovi o migliorati nel 2005",
"corsi interni di formazione professionale continua (fpc)",
"corsi esterni di fpc",
"flag  formazione sul lavoro",
"partecipanti ad altre forme di fpc  formazione sul lavoro",
"flag  rotazione del posto di lavoro",
"partecipanti ad altre forme di fpc  rotazione del posto di lavoro",
"flag  circoli di apprendimento e di qualit",
"partecipanti ad altre forme di fpc  circoli di apprendimento e di qualit",
"flag  autoapprendimento",
"partecipanti ad altre forme di fpc  autoapprendimento",
"flag  partecipazione a conferenze ecc.",
"partecipanti ad altre forme di fpc  partecipazione a conferenze ecc.",
"corsi di fpc per persone occupate durante lanno precedente (2004)",
"corsi di fpc per persone occupate previsti durante lanno prossimo (2006)",
"altre forme di fpc per persone occupate durante lanno precedente (2004)",
"altre forme di fpc per persone occupate previste durante lanno prossimo (2006)",
"partecipanti a corsi di fpc   totale",
"partecipanti a corsi di fpc  uomini",
"partecipanti a corsi di fpc  donne",
"partecipanti ad attivit di fpc  meno di 25 anni",
"partecipanti ad attivit di fpc  da 25 a 54 anni",
"partecipanti ad attivit di fpc  55 anni e pi",
"tempo di lavoro retribuito (in ore) per corsi di fpc",
"tempo di lavoro retribuito (in ore) per corsi interni di fpc",
"tempo di lavoro retribuito (in ore) per corsi esterni di fpc",
"tempo di lavoro retribuito (in ore) per corsi di fpc  uomini",
"tempo di lavoro retribuito (in ore) per corsi di fpc  donne",
"tempo di lavoro retribuito (in ore)  lingue, straniere  e materna",
"tempo di lavoro retribuito (in ore)  vendite  e marketing",
"tempo di lavoro retribuito (in ore)  contabilit  e finanza, gestione e amministrazione e lavoro dufficio",
"tempo di lavoro retribuito (in ore)  competenze personali/sviluppo personale, vita professionale",
"tempo di lavoro retribuito (in ore)  informatica  e uso del computer",
"tempo di lavoro retribuito (in ore)  ingegneria, tecniche di produzione e costruzione",
"tempo di lavoro retribuito (in ore)  protezione dellambiente e salute e sicurezza sul lavoro",
"tempo di lavoro retribuito (in ore)  servizi personali, servizi di trasporto, protezione dei beni e delle persone e difesa",
"tempo di lavoro retribuito (in ore)  altri temi di formazione",
"tempo di lavoro retribuito (in ore)  scuole, universit e altre istituzioni dinsegnamento superiore",
"tempo di lavoro retribuito (in ore)  istituzioni pubbliche di formazione",
"tempo di lavoro retribuito (in ore) societ private di formazione",
"tempo di lavoro retribuito (in ore)  societ private  (fornitori di beni, societ collegate)",
"tempo di lavoro retribuito (in ore)  associazioni di datori di lavoro, camere di commercio, associazioni di categoria",
"tempo di lavoro retribuito (in ore)  organizzazioni sindacali",
"tempo di lavoro retribuito (in ore) altri fornitori di formazione",
"flag  spese",
"costi dei corsi di fpc  spese per corsi per i dipendenti",
"flag  spese di viaggio",
"costi dei corsi di fpc  spese di viaggio e di soggiorno",
"flag  costo del lavoro per gli istruttori",
"costi dei corsi di fpc  costo del lavoro per gli istruttori interni",
"flag  centro di formazione, materiale didattico, ecc.",
"costi dei corsi di fpc  centro di formazione o aule e materiale didattico per corsi di fpc",
"totale parziale dei costi di fpc",
"costo dellassenza del personale",
"flag  contributi fpc",
"contributi fpc",
"flag  entrate fpc",
"entrate fpc",
"costo totale fpc da calcolare (c7sub + c8a  c8b)",
"immigrati e minoranze etniche occupati",
"immigrati e minoranze etniche  corsi specifici",
"persone disabili  occupati",
"persone disabili  corsi specifici",
"persone senza qualifica formale  occupati",
"persone senza qualifica formale  corsi specifici",
"persone a rischio di licenziamento  occupati",
"persone a rischio di licenziamento  corsi specifici",
"persone con contratto part-time occupati",
"corsi di fpc destinati alle persone con contratto part-time",
"persone con contratto a termine  occupati",
"corsi di fpc destinati alle persone con contratto a termine",
"centro di formazione proprio o comune",
"persona o unit in seno allimpresa responsabile dellorganizzazione della fpc",
"limpresa ricorre a un servizio di consulenza esterno",
"limpresa applica in modo regolare procedure formali per valutare il fabbisogno futuro di competenze dellimpresa",
"interviste strutturate con i propri dipendenti per stabilire le loro necessit specifiche di formazione",
"la programmazione della fpc nellimpresa comprende un piano o programma scritto di formazione",
"bilancio annuale di formazione, comprendente la fpc",
"misura della soddisfazione delle persone che hanno seguito una formazione",
"al termine della formazione, verifica delleffettivo raggiungimento degli obiettivi perseguiti",
"valutazione del comportamento professionale dei partecipanti e dellevoluzione delle loro prestazioni a seguito della formazione",
"misura mediante indicatori dellincidenza della formazione sulle prestazioni dellazienda",
"accordi nazionali, settoriali o altri tra parti sociali che hanno influenzato i piani, le politiche e le pratiche nel campo della fpc",
"esistenza di una struttura formale",
"ruolo della struttura formale fissazione di obiettivi e priorit per le attivit di fpc",
"ruolo della struttura formale  determinazione dei criteri di selezione dei soggetti invitati a partecipare alla fpc",
"ruolo della struttura formale  tema dellattivit di fpc",
"ruolo della struttura formale  determinazione del budget relativo alla fpc",
"ruolo della struttura formale  procedura di selezione dei fornitori esterni di fpc",
"ruolo della struttura formale valutazione dei risultati della formazione",
"servizio pubblico di consulenza finalizzato a determinare i fabbisogni di formazione e/o a elaborare piani di formazione",
"sovvenzioni destinate a ridurre il costo della formazione dei dipendenti",
"defiscalizzazione delle spese di formazione dei dipendenti",
"procedure per garantire la qualit degli istruttori",
"norme e strutture riconosciute per le qualificazioni e la certificazione",
"costo elevato dei corsi di fpc",
"mancanza di idonei corsi di fpc sul mercato",
"difficolt di valutazione dei fabbisogni di fpc dellimpresa",
"attivit di formazione  svolta in  anni precedenti",
"elevato carico di lavoro e limitato tempo disponibile dei dipendenti",
"il livello attuale di formazione corrisponde alle necessit dellimpresa",
"maggiore importanza attribuita alla fpi rispetto alla fpc",
"altre ragioni",
"le competenze esistenti corrispondono alle necessit attuali ellimpresa",
"la strategia preferita dallimpresa  stata di assumere personale in possesso delle qualifiche e competenze necessarie",
"limpresa ha avuto difficolt a valutare i suoi fabbisogni di fpc",
"assenza di idonei corsi di fpc sul mercato",
"costo dei corsi di fpc troppo elevato per limpresa",
"limpresa ha preferito concentrarsi sulla fpi piuttosto che sulla fpc",
"un investimento in fpc  stato effettuato in un anno precedente e non  stato necessario ripeterlo nel 2005",
"i dipendenti non hanno avuto tempo di partecipare ad attivit di fpc",
"altre ragioni",
"numero totale di partecipanti ad attivit di fpi nel 2005",
"numero totale di partecipanti ad attivit di fpi nel 2005    uomini",
"numero totale di partecipanti ad attivit di fpi nel 2005    donne",
"flag  costo individuale del lavoro per la fpi",
"costi fpi  costo del lavoro delle persone iscritte ad unattivit di fpi",
"flag  altri costi fpi",
"altri costi  fpi  onorari, spese di viaggio, materiale didattico, ecc.",
"flag  costo del lavoro per listruttore fpi",
"flag  contributi fpi",
"contributi fpi",
"flag  entrate fpi",
"entrate fpi",
"totale costi fpi (f2b + f3a  f3b)")

a1_Fact <- factor(Ril_CVTS_2005$a1, 
levels=c(01, 
02, 
03, 
04, 
05, 
06, 
07, 
08, 
09, 
10, 
11, 
12, 
13, 
14, 
15, 
16, 
17, 
18, 
19, 
20), 
labels=c("ESTRAZIONE DI MINERALI ENERGETICI; Subsection ESTRAZIONE DI MINERALI NON ENERGETICI", 
"INDUSTRIE ALIMENTARI, DELLE BEVANDE E DEL TABACCO", 
"INDUSTRIE TESSILI E DELLABBIGLIAMENTO; INDUSTRIE CONCIARIE, FABBRICAZIONE DI PRODOTTI IN CUOIO, PELLE E SIMILARI", 
"FABBRICAZIONE DELLA PASTA-CARTA, DELLA CARTA E DEL CARTONE, DEI PRODOTTI DI CARTA; STAMPA ED EDITORIA", 
"FABBRICAZIONE DI COKE, RAFFINERIE DI PETROLIO, TRATTAMENTO DEI COMBUSTIBILI NUCLEARI; FABBRICAZIONE DI PRODOTTI CHIMICI E DI FIBRE SINTETICHE E ARTIFICIALI ; FABBRICAZIONE DI ARTICOLI IN GOMMA E MATERIE PLA-STICHE; FABBRICAZIONE DI PRODOTTI DELLA LAVORAZIO", 
"METALLURGIA, FABBRICAZIONE DI PRODOTTI IN METALLO", 
"FABBRICAZIONE DI MACCHINE ED APPARECCHI MECCANICI; FABBRICAZIONE DI MACCHINE ELETTRICHE E DI APPARECCHIATURE ELETTRICHE, ELETTRONICHE ED OTTICHE", 
"FABBRICAZIONE DI MEZZI DI TRASPORTO", 
"INDUSTRIA DEL LEGNO E DEI PRODOTTI IN LEGNO; ALTRE INDUSTRIE MANIFATTURIERE", 
"PRODUZIONE E DISTRIBUZIONE DI ENERGIA ELETTRICA, GAS E ACQUA", 
"COSTRUZIONI", 
"COMMERCIO, MANUTENZIONE E RIPARAZIONE DI AUTOVEICOLI E MOTOCICLI; VENDITA AL DETTAGLIO DI CARBURANTI PER AUTOTRAZIONE", 
"COMMERCIO ALLINGROSSO E INTERMEDIARI DEL COMMERCIO, AUTOVEICOLI E MOTOCICLI ESCLUSI", 
"COMMERCIO AL DETTAGLIO (ESCLUSO QUELLO DI AUTOVEICOLI E DI MOTOCICLI); RIPARAZIONE DI BENI PERSONALI E PER LA CASA", 
"ALBERGHI E RISTORANTI", 
"TRASPORTI TERRESTRI; TRASPORTI MEDIANTE CONDOTTE; TRASPORTI MARITTIMI E PER VIE D'ACQUA; TRASPORTI AEREI; ATTIVIT DI SUPPORTO ED AUSILIARIE DEI TRASPORTI; ATTIVIT DELLE AGENZIE DI VIAGGIO", 
"POSTE E TELECOMUNICAZIONI", 
"INTERMEDIAZIONE MONETARIA E FINANZIARIA (ESCLUSE LE ASSICURAZIONI E I FONDI PENSIONE); ASSICURAZIONI E FONDI PENSIONE, ESCLUSE LE ASSICURAZIONI SOCIALI OBBLIGATORIE", 
"ATTIVIT AUSILIARIE DELL'INTERMEDIAZIONE FINANZIARIA E DELLE ASSICURAZIONI", 
"ATTIVIT IMMOBILIARI; NOLEGGIO DI MACCHINARI E ATTREZZATURE SENZA OPERATORE E DI BENI PER USO PERSONALE E DOMESTICO; INFORMATICA E ATTIVIT CONNESSE; RICERCA E SVILUPPO; ATTIVIT DI SERVIZI ALLE IMPRESE; SMALTIMENTO DEI RIFIUTI SOLIDI, DELLE ACQUE DI SCARI")) 


a6_Fact <- factor(Ril_CVTS_2005$a6, 
levels=c(0, 
1), 
labels=c("no", 
"si")) 


c7aflag_Fact <- factor(Ril_CVTS_2005$c7aflag, 
levels=c(0, 
1, 
8), 
labels=c("no", 
"si", 
"non applicabile")) 


c8aflag_Fact <- factor(Ril_CVTS_2005$c8aflag, 
levels=c(0, 
1), 
labels=c("mancanza di contributi", 
"presenza di contributi")) 


c8bflag_Fact <- factor(Ril_CVTS_2005$c8bflag, 
levels=c(0, 
1, 
8), 
labels=c("mancanza di finanziamenti", 
"presenza di finanziamenti", 
"non applicabile")) 


d1_Fact <- factor(Ril_CVTS_2005$d1, 
levels=c(0, 
1, 
2, 
3, 
8), 
labels=c("nessuna struttura", 
"struttura di propriet", 
"struttura condivisa", 
"entrambe", 
"non applicabile")) 


d3_Fact <- factor(Ril_CVTS_2005$d3, 
levels=c(0, 
1, 
2, 
3, 
8), 
labels=c("mai", 
"occasionalmente", 
"quasi sempre", 
"sempre", 
"non applicabile")) 


d14c_Fact <- factor(Ril_CVTS_2005$d14c, 
levels=c(7, 
8), 
labels=c("quesito italiano mancante", 
"non applicabile")) 


f2cflag_Fact <- factor(Ril_CVTS_2005$f2cflag, 
levels=c(NA, 
0, 
1, 
8), 
labels=c("missing", 
"no", 
"si", 
"non applicabile"), exclude=NULL) 


f3aflag_Fact <- factor(Ril_CVTS_2005$f3aflag, 
levels=c(0, 
8), 
labels=c("no", 
"non applicabile")) 

save.image (file="Ril_CVTS_2005.RData")
